#include <stdio.h>
#include <string.h>
#include <gtk/gtk.h>
#include <applet-widget.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#include "main.h"
#include "letters.h"

#define CHAR_WIDTH 6
#define CHAR_HEIGHT 7
#define AREA_WIDTH 56
#define AREA_HEIGHT 48

typedef struct _SensorApplet SensorApplet;
struct _SensorApplet {
  /* GtkWidget's we need access to */
  GtkWidget *applet;
  GtkWidget *eventbox;
  GtkWidget *canvas;
  GtkWidget *pbox, *Freq_adj;
  
  /* Label for the display */
  GnomeCanvasItem *lt[9][6];

  gchar *chips;
  gchar *label[6];
  gchar *sensor[6];

  gfloat value[6][52];
  gfloat max[6];
  gfloat min[6];

  /* Applet display settings */
  gint height;
  gint width;
  gint sensorFreq;
  guint timeout_id;
};


void delete_event(GtkWidget *widget, GdkEvent *event, gpointer data);
gint update_val(SensorApplet *ai);
void quit_applet(AppletWidget *applet, gpointer data);
void about_cb (AppletWidget *widget, gpointer data);
void properties (AppletWidget *widget, gpointer data);
void properties_apply_cb (GtkWidget *b, gint page_num, gpointer data);
void properties_changed_cb (GtkWidget *widget, gpointer data);
gint save_session_cb (GtkWidget *widget, gchar *privcfgpath,
	gchar *globcfgpath,gpointer data);
void update_property(gpointer data, gpointer entry);
static void readPixmaps();
static gboolean check_warn(gint i, gchar *path, SensorApplet *ai);
static gint read_sensors(SensorApplet *ai);

GdkImlibImage *letter_image[40];
GdkImlibImage *warn_image[40];





